Noitom Hi5 Unity SDK: HI5.HI5_Calibration Class Reference

| Noitom Hi5 Unity SDK Hi5_Unity_SDK_API_1_0_0_655_17 The SDK for Using Noitom Hi5 Glove in Unity Engine.

Static Public Member Functions | Static Public Attributes | Properties | List of all members
HI5.HI5_Calibration Class Reference

HI5 Calibration Class. More...

## Static Public Member Functions

static void | ResetCalibration ()
| Call it before doing B-pose calibration. More...
static void | StartCalibration (HI5_Pose pose)
| Start B/P-pose calibration. More...
static int | GetCalibrationProgress (HI5_Pose pose)
| Get the percent of B/P-pose calibration. More...
static bool | SaveCalibrationData ()
| Save calibration data to default path. More...
static string | GetBindedTrackedObjectSerialNumber (Hand handType)
| Get the serial number of tracked object binded on left/right hand. More...
static OPTDeviceType | GetBindedTrackedObjectType (Hand handType)
| Get the type of tracked object binded on left/right hand. More...
static void | SetTrackedObjectBindState (Hand handType, string serialNumber, OPTDeviceType deviceType)
| Set the serial number of tracked object binded on left/right hand. This function called only after loading the PairInfo file successfully. More...
static bool | LoadCalibrationData ()
| Load the previous calibration data. More...

## Static Public Attributes

static Action< HI5_Pose > | OnCalibrationComplete
| Call it when B-pose or P-pose calibration complete. More...

## Properties

static bool | IsCalibratingBPose`[get]`
| Is doing calibration B-pose or not. More...
static bool | IsCalibratingPPose`[get]`
| Is doing calibration P-pose or not. More...
static string | DefaultPath`[get]`
| Get the default path of saving the calibration data. More...
static string | DefaultPathAndName`[get]`

## Detailed Description

HI5 Calibration Class.

## Member Function Documentation

## ◆ GetBindedTrackedObjectSerialNumber()

static string HI5.HI5_Calibration.GetBindedTrackedObjectSerialNumber | ( | Hand | handType | ) |

static

Get the serial number of tracked object binded on left/right hand.

Parameters

  handType | The type of HI5.Hand.

Returns
  The serial number of device.

## ◆ GetBindedTrackedObjectType()

static OPTDeviceType HI5.HI5_Calibration.GetBindedTrackedObjectType | ( | Hand | handType | ) |

static

Get the type of tracked object binded on left/right hand.

Parameters

  handType | The type of HI5.Hand.

Returns
  The type of optical device.

## ◆ GetCalibrationProgress()

static int HI5.HI5_Calibration.GetCalibrationProgress | ( | HI5_Pose | pose | ) |

static

Get the percent of B/P-pose calibration.

Parameters

  pose | The type of calibration pose by HI5.HI5_Pose.

Returns
  The progress of the related calibration. The value is provided by percent number.

## ◆ LoadCalibrationData()

static bool HI5.HI5_Calibration.LoadCalibrationData | ( |  | ) |

static

Load the previous calibration data.

Returns
  True, successfully loaded the calibration data. False, failed loaded the calibration data.

## ◆ ResetCalibration()

static void HI5.HI5_Calibration.ResetCalibration | ( |  | ) |

static

Call it before doing B-pose calibration.

## ◆ SaveCalibrationData()

static bool HI5.HI5_Calibration.SaveCalibrationData | ( |  | ) |

static

Save calibration data to default path.

Returns
  True, successfull saved calibration data to default path. False, failed saved calibration data to default path.

## ◆ SetTrackedObjectBindState()

static void HI5.HI5_Calibration.SetTrackedObjectBindState | ( | Hand | handType,
|  | string | serialNumber,
|  | OPTDeviceType | deviceType
| ) |  |

static

Set the serial number of tracked object binded on left/right hand. This function called only after loading the PairInfo file successfully.

Parameters

  handType | The type of HI5.Hand.
  serialNumber | The serial number of the binded device. Input by System.String.
  deviceType | The type of HI5.OPTDeviceType.

## ◆ StartCalibration()

static void HI5.HI5_Calibration.StartCalibration | ( | HI5_Pose | pose | ) |

static

Start B/P-pose calibration.

Parameters

  pose | The type of calibration pose by HI5.HI5_Pose.

## Member Data Documentation

## ◆ OnCalibrationComplete

Action<HI5_Pose> HI5.HI5_Calibration.OnCalibrationComplete

static

Call it when B-pose or P-pose calibration complete.

## Property Documentation

## ◆ DefaultPath

string HI5.HI5_Calibration.DefaultPath

staticget

Get the default path of saving the calibration data.

## ◆ IsCalibratingBPose

bool HI5.HI5_Calibration.IsCalibratingBPose

staticget

Is doing calibration B-pose or not.

## ◆ IsCalibratingPPose

bool HI5.HI5_Calibration.IsCalibratingPPose

staticget

Is doing calibration P-pose or not.